Package: groovy.console.ui

## [Groovy] Interface AstBrowserNodeMaker<T>

-     @CompileStatic
      interface AstBrowserNodeMaker<T>

  This interface is used to create tree nodes of various types

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract T` | `makeNode(Object userObject)`
    `` | `abstract T` | `makeNodeWithProperties(Object userObject, List<List<?>> properties)`

- - ### Method Detail

    - #### abstract T makeNode(Object userObject)

    - #### abstract T makeNodeWithProperties(Object userObject, List<List<?>> properties)